Package web2py :: Package gluon :: Module html :: Class HTML

[hide private]
[frames] | no frames]

# Class HTML

source code

      object --+
               |
    XmlComponent --+
                   |
                 DIV --+
                       |
                      HTML

There are four predefined document type definitions. They can be specified in the 'doctype' parameter:

-'strict' enables strict doctype -'transitional' enables transitional doctype (default) -'frameset' enables frameset doctype -'html5' enables HTML 5 doctype -any other string will be treated as user's own doctype

'lang' parameter specifies the language of the document. Defaults to 'en'.

See also :class:`DIV`

Instance Methods | [hide private]

xml(self) generates the xml for this component. | source code

Inherited from `DIV`: `__delitem__`, `__getitem__`, `__init__`, `__len__`, `__nonzero__`, `__setitem__`, `__str__`, `append`, `element`, `elements`, `flatten`, `insert`, `sibling`, `siblings`, `update`

Inherited from `DIV` (private): `_fixup`, `_postprocessing`, `_setnode`, `_traverse`, `_validate`, `_wrap_components`, `_xml`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`

Class Variables | [hide private]

| tag = ``'``html``'``
| strict = ``'``<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "h``...``
| transitional = ``'``<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 T``...``
| frameset = ``'``<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frame``...``
| html5 = ``'``<!DOCTYPE HTML>\n``'``
Inherited from `DIV`: `regex_attr`, `regex_class`, `regex_id`, `regex_tag`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### xml(self)

source code

generates the xml for this component.

Overrides: DIV.xml
  (inherited documentation)

Class Variable Details | [hide private]

### strict

Value:

      '''<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.or
      g/TR/html4/strict.dtd">
      '''

### transitional

Value:

      '''<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "htt
      p://www.w3.org/TR/html4/loose.dtd">
      '''

### frameset

Value:

      '''<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://
      www.w3.org/TR/html4/frameset.dtd">
      '''